# Enrich person by LinkedIn

### Overview

Return person's details based on email.

### Input parameters

<table><thead><tr><th width="236">Name</th><th width="135">Is Required</th><th width="144">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Email</strong></td><td><strong>required</strong></td><td>text column</td><td>The person's email</td></tr></tbody></table>

### Output fields

Fields that are not extracted by default can be found in a column with an original response (select option "Save original response" in advanced settings). Use the Unnest node or JSON preview window to extract such fields to the new columns.

<table><thead><tr><th width="239">Name</th><th width="132.33333333333331">Type</th><th width="124">Extracted</th><th>Description</th></tr></thead><tbody><tr><td>Full Name</td><td>text</td><td>yes</td><td>The person's complete name, e.g., John Doe</td></tr><tr><td>Headline</td><td>text</td><td>yes</td><td>Brief professional title or tagline, e.g., Data Analyst at Tabula</td></tr><tr><td>LinkedIn URL</td><td>text</td><td>yes</td><td>The person's LinkedIn profile URL, e.g., <a href="http://www.linkedin.com/in/yourprofile">www.linkedin.com/in/yourprofile</a></td></tr><tr><td>Location</td><td>text</td><td>yes</td><td>The person's city and state of residence, e.g., San Francisco, CA</td></tr><tr><td>Photo URL</td><td>text</td><td>yes</td><td>URL of the person's profile photo, e.g., www.website.com/photo.jpg</td></tr><tr><td>GitHub URLs</td><td>text</td><td>yes</td><td>Links to the person's GitHub profiles or repositories, e.g., github.com/username</td></tr><tr><td>All Emails</td><td>array</td><td>yes</td><td>List of all email addresses associated with the person, e.g., john.doe@example.com</td></tr><tr><td>All Work Emails</td><td>array</td><td>yes</td><td>List of all work email addresses associated with the person, e.g., john.doe@company.com</td></tr><tr><td>All Personal Emails</td><td>array</td><td>yes</td><td>List of all personal email addresses associated with the person, e.g., john.doe@gmail.com</td></tr><tr><td>Employment History</td><td>array</td><td>yes</td><td>Record of the person's past job positions, e.g., Data Analyst at Tabula from 2018-2021</td></tr><tr><td>Industry</td><td>text</td><td>yes</td><td>Sector in which the person works, e.g., Data Analytics, Technology</td></tr><tr><td>All Phone Numbers</td><td>array</td><td>yes</td><td>List of all phone numbers associated with the person, e.g., +1-800-123-4567</td></tr><tr><td>Summary</td><td>text</td><td>yes</td><td>Brief professional summary or bio of the person, e.g., Experienced data analyst with expertise in data visualization and predictive analytics</td></tr></tbody></table>

### Sample response

{% tabs %}
{% tab title="Person Found" %}
{% code overflow="wrap" %}

```json
{
  "status_code": 200,
  "profile": {
    "email": "0getfisher@gmail.com",
    "workEmail": "work-email@obm-international.com",
    "workEmailStatus": "Verified | Unverified",
    "fullName": "Bobbi Singh",
    "headline": "Manager, Business Operations & Marketing at OBM International",
    "industry": "Broadcast Media",
    "linkedinUrl": "https://www.linkedin.com/in/bobbisingh",
    "profilePictureUrl": "https://images.contactout.com/profiles/ca33f14227b1e5d3a1d53b0b5ca36fc8",
    "confidenceLevel": "",
    "altMatches": [],
    "phone": " +61.438347437",
    "twitter": "",
    "github": "",
    "company": {
      "name": "OBM International",
      "url": "https://www.linkedin.com/company/obm-international",
      "website": "http://obm.international",
      "headquarter": "HQ",
      "locations": [
        {
          "line1": "Address Line 1",
          "line2": "Address Line 2",
          "city": "City",
          "state": "State",
          "country": "US",
          "postalCode": "12345",
          "description": "Headquarters"
        }
      ]
    },
    "location": "Bermuda",
    "summary": "An experienced professional with over 19 years in Marketing (digital, print, radio, television), Communications, Content Creation, Copy Writing, Website Maintenance, Social Media Exploitation, Relationship Building, Business Development, Business Operations, Training and Leadership.\\n",
    "experience": [
      {
        "end": "Present",
        "start": 2018,
        "title": "Manager, Business Operations & Marketing",
        "description": "Established in 1936, OBMI is a global master planning, architecture and design firm, with a rich history of shaping the architectural landscape of Bermuda. Within the firm, I support the OBMI Bermuda office on a multi-faceted level. My commitment to relationship building & client management, together with my passion and proficiency in marketing & communications, allows me to be an integral member of the team. Currently, my mandates include:Marketing•\tLead all marketing initiatives for the OBMI Bermuda office•\tCreation all print and digital ads for the local market•\tCreate, design and execute the quarterly newsletter•\tCopy & creative of OBMI Bermuda articles for local and international publication•\tManage Google My Business content•\tOversee see all aspects of the OBMI Bermuda website•\tCapture and analyze various metrics to identify areas of enhancement•\tExplore industry trends, best practices and innovative marketing solutions for potential adoptionBusiness Operations•\tProject management •\tClient relationship management•\tVendor & consultant management•\tOffice administration•\tPrimary point of contact for Bermuda office•\tCollaborate with corporate office in Miami on marketing & company-wide initiatives/roll-outs",
        "organization": [
          {
            "name": "OBM International",
            "profile_url": "https://www.linkedin.com/company/obm-international"
          }
        ]
      }
    ],
    "education": [
      {
        "end": "2004",
        "name": "George Brown College",
        "major": "Journalism",
        "start": "2002",
        "degrees": ["Journalism"],
        "profile_url": "http://www.linkedin.com/edu/george-brown-college-19978"
      }
    ],
    "skills": [
      "Digital Marketing",
      "Content Creation",
      "Business Development",
      "Project Management",
      "Client Relationship Management"
    ]
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Person Not Found" %}

```json
{
  "status_code": 404,
  "message": "Not Found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tabula.io/integrations/enrichment/data-providers/contactout/enrich-person-by-linkedin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
